Index: ram/scselbx.c
===================================================================
--- ram/scselbx.c	(revision 05806159f2593192d6ed2fca28358480a2383c67)
+++ ram/scselbx.c	(revision 0c834c599f225d78f3cee559f0421011b124be6d)
@@ -41,6 +41,6 @@
 /* variables defined elsewhere */
 
-extern	short	(*itxput)();
-extern	short	(*point)();
+extern	void	(*itxput)(short row, short col, char *txt, short tag);
+extern	void	(*point)(short x, short y, short pen);
 
 extern	short	ancmsw;
@@ -116,5 +116,5 @@
 /* forward references */
 
-short	sdboxfn(short n);
+void	sdboxfn(short n);
 void	bspscur(void);
 void	svtdsp(unsigned *obj, unsigned fg, unsigned bg, short row, short col, char *buf);
@@ -1232,5 +1232,5 @@
 */
 
-short sdboxfn(short n)
+void sdboxfn(short n)
 {
 	register short	row, col, grp, what, i;
@@ -1248,5 +1248,5 @@
 
 			if (clkrun)		/* clock can't be running */
-				return(FAILURE);
+				return;
 
 			if (ac_code EQ N_SHARP)
@@ -1256,15 +1256,15 @@
 
 			sc_refr(fc_val);
-			return(SUCCESS);
+			return;
 
 		} else if ((col GE 2) AND (col LE 4)) {	/* section menu */
 
 			if (clkrun)		/* clock can't be running */
-				return(FAILURE);
+				return;
 
 			if (sdmctl EQ -1) {	/* menu not up yet */
 
 				sdmenu(4);	/* put up the menu */
-				return(SUCCESS);
+				return;
 /* 
 
@@ -1278,5 +1278,5 @@
 
 						hilitop(SOP_GO);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 8) AND
@@ -1284,5 +1284,5 @@
 
 						hilitop(SOP_MOV);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 15) AND
@@ -1290,5 +1290,5 @@
 
 						hilitop(SOP_STC);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 24) AND
@@ -1301,5 +1301,5 @@
 						}
 
-						return(SUCCESS);
+						return;
 					}
 /* 
@@ -1312,5 +1312,5 @@
 
 						hilitop(SOP_BGN);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 8) AND
@@ -1318,5 +1318,5 @@
 
 						hilitop(SOP_CPY);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 15) AND
@@ -1324,5 +1324,5 @@
 
 						hilitop(SOP_DGR);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 24) AND
@@ -1335,5 +1335,5 @@
 						}
 
-						return(SUCCESS);
+						return;
 					}
 /* 
@@ -1346,5 +1346,5 @@
 
 						hilitop(SOP_END);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 8) AND
@@ -1352,5 +1352,5 @@
 
 						hilitop(SOP_MRG);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 15) AND
@@ -1358,5 +1358,5 @@
 
 						hilitop(SOP_DEV);
-						return(SUCCESS);
+						return;
 					}
 
@@ -1370,5 +1370,5 @@
 
 						hilitop(SOP_GRP);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 15) AND
@@ -1376,5 +1376,5 @@
 
 						hilitop(SOP_RMV);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 28) AND
@@ -1387,5 +1387,5 @@
 							dsgtmn(gtmsel, TRUE);
 
-						return(SUCCESS);
+						return;
 					}
 
@@ -1397,18 +1397,21 @@
 						secop = SOP_NUL;
 						sdmenu(-1);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 22) AND
 						   (vtccol LE 24)) {	/* Transpose */
 
-						return(enterit());
+						enterit();
+						return;
 					}
 				}
 			}
 
-			return(FAILURE);
-
-		} else
-			return(enterit());
+			return;
+
+		} else {
+			enterit();
+			return;
+		}
 
 /* 
@@ -1428,5 +1431,5 @@
 
 		dsimode();			/* update insert mode display */
-		return(SUCCESS);
+		return;
 
 	case 2:		/* clock control, source */
@@ -1436,5 +1439,5 @@
 			clkset(NOT clkrun);
 			dsclk();
-			return(SUCCESS);
+			return;
 
 /* 
@@ -1446,5 +1449,5 @@
 
 				sdmenu(3);
-				return(SUCCESS);
+				return;
 
 			} else {		/* menu up */
@@ -1458,5 +1461,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return(SUCCESS);
+						return;
 					}
 
@@ -1469,5 +1472,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return(SUCCESS);
+						return;
 					}
 
@@ -1480,10 +1483,10 @@
 						sdmenu(-1);
 						sdwin(2);
-						return(SUCCESS);
+						return;
 					}
 				}
 			}
 
-			return(FAILURE);
+			return;
 /* 
 
@@ -1495,5 +1498,5 @@
 				sdmenu(2);
 				setleds();
-				return(SUCCESS);
+				return;
 
 			} else {		/* menu up */
@@ -1509,5 +1512,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 9) AND
@@ -1519,5 +1522,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 17) AND
@@ -1530,5 +1533,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return(SUCCESS);
+						return;
 					}
 
@@ -1546,5 +1549,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 9) AND
@@ -1556,5 +1559,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return(SUCCESS);
+						return;
 					}
 /* 
@@ -1571,5 +1574,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return(SUCCESS);
+						return;
 
 					} else if ((vtccol GE 9) AND
@@ -1581,5 +1584,5 @@
 						sdmenu(-1);
 						sdwin(2);
-						return(SUCCESS);
+						return;
 					}
 				}
@@ -1587,5 +1590,5 @@
 		}
 
-		return(FAILURE);
+		return;
 
 /* 
@@ -1595,5 +1598,5 @@
 
 		if (clkrun)		/* clock can't be running */
-			return(FAILURE);
+			return;
 
 		if (scmctl NE -1)
@@ -1604,5 +1607,5 @@
 			sdmenu(1);
 			noteop = NOP_NUL;
-			return(SUCCESS);
+			return;
 
 		} else {		/* menu up - select operation */
@@ -1614,5 +1617,5 @@
 
 					hilitnt(NOP_ACC);
-					return(SUCCESS);
+					return;
 
 				} else if ((vtccol GE 13) AND
@@ -1620,5 +1623,5 @@
 
 					hilitnt(NOP_MVN);
-					return(SUCCESS);
+					return;
 
 				} else if ((vtccol GE 25) AND
@@ -1626,9 +1629,9 @@
 
 					hilitnt(NOP_NUL);
-					return(SUCCESS);
+					return;
 
 				}
 
-				return(FAILURE);
+				return;
 /* 
 
@@ -1640,5 +1643,5 @@
 
 					hilitnt(NOP_NAT);
-					return(SUCCESS);
+					return;
 
 				} else if ((vtccol GE 13) AND
@@ -1646,8 +1649,8 @@
 
 					hilitnt(NOP_MVB);
-					return(SUCCESS);
+					return;
 				}
 
-				return(FAILURE);
+				return;
 
 			} else if (vtcrow EQ 21) {
@@ -1657,5 +1660,5 @@
 
 					hilitnt(NOP_END);
-					return(SUCCESS);
+					return;
 
 				} else if ((vtccol GE 13) AND
@@ -1663,14 +1666,14 @@
 
 					hilitnt(NOP_MVE);
-					return(SUCCESS);
+					return;
 				}
 
-				return(FAILURE);
+				return;
 
 			} else
-				return(FAILURE);
-		}
-
-		return(FAILURE);
+				return;
+		}
+
+		return;
 
 /* 
@@ -1700,9 +1703,10 @@
 			}
 
-			return(SUCCESS);
+			return;
 
 		} else {
 
-			return(enterit());	/* data entry */
+			enterit();	/* data entry */
+			return;
 		}
 
@@ -1716,9 +1720,10 @@
 				scmenu(-1);	/* take down menu */
 
-			return(SUCCESS);
+			return;
 
 		} else {
 
-			return(enterit());	/* data entry */
+			enterit();	/* data entry */
+			return;
 		}
 /* 
@@ -1775,5 +1780,5 @@
 		}
 
-		return(SUCCESS);
+		return;
 
 /* 
@@ -1832,5 +1837,5 @@
 		}
 
-		return(SUCCESS);
+		return;
 /* 
 
@@ -1838,5 +1843,5 @@
 	case 10:	/* Output */
 
-		return(SUCCESS);
+		return;
 
 	case 11:	/* group/ins, trans, dyn/loc, velocity */
@@ -1849,5 +1854,5 @@
 				scmenu(-1);	/* take down the menu */
 
-			return(SUCCESS);
+			return;
 
 		} else if ((row EQ 21) AND (col LE 3)) {	/* velocity flag */
@@ -1855,8 +1860,10 @@
 			velflag = NOT velflag;
 			ds_vmod();
-			return(SUCCESS);
-
-		} else
-			return(enterit());			/* inst. number */
+			return;
+
+		} else {
+			enterit();			/* inst. number */
+			return;
+		}
 
 /* 
@@ -1880,5 +1887,5 @@
 				vputa(obj8, 7, i, atr);
 
-			return(SUCCESS);
+			return;
 
 		} else if ((row EQ 22) AND (col LE 4)) {	/* r/p source */
@@ -1897,9 +1904,10 @@
 				vputa(obj8, 6, i, atr);
 
-			return(SUCCESS);
+			return;
 
 		} else {
 
-			return(enterit());
+			enterit();
+			return;
 		}
 /* 
@@ -1915,5 +1923,5 @@
 				scmenu(-1);	/* take down menu */
 
-			return(SUCCESS);
+			return;
 
 		} else if ((col GE 10) AND (col LE 25)) {	/* score name */
@@ -1932,8 +1940,10 @@
 			}
 
-			return(SUCCESS);
-
-		} else
-			return(enterit());
+			return;
+
+		} else {
+			enterit();
+			return;
+		}
 /* 
 
@@ -1945,5 +1955,5 @@
 			recsw = FALSE;
 			dsrpmod();
-			return(SUCCESS);
+			return;
 
 		} else if ((col GE 36) AND (col LE 40)) {	/* Recrd */
@@ -1951,5 +1961,5 @@
 			recsw = TRUE;
 			dsrpmod();
-			return(SUCCESS);
+			return;
 
 		} else if ((col GE 42) AND (col LE 47)) {	/* OvrDub */
@@ -1957,5 +1967,5 @@
 			dubsw = NOT dubsw;
 			dsrpmod();
-			return(SUCCESS);
+			return;
 
 		} else if ((col GE 49) AND (col LE 55)) {	/* PunchIn */
@@ -1963,9 +1973,9 @@
 			pchsw = NOT pchsw;
 			dsrpmod();
-			return(SUCCESS);
-
-		}
-
-		return(FAILURE);
+			return;
+
+		}
+
+		return;
 
 	case 16:	/* note display */
@@ -1974,7 +1984,6 @@
 			donote();
 
-		return(SUCCESS);
+		return;
 	}
-
-	return(FAILURE);
 }
+