Index: ram/ptoftab.h
===================================================================
--- ram/ptoftab.h	(revision 5fa506d896e498d12ac5654951d3fb3c9924e8e2)
+++ ram/ptoftab.h	(revision 5fa506d896e498d12ac5654951d3fb3c9924e8e2)
@@ -0,0 +1,280 @@
+#pragma once
+
+#include "stdint.h"
+
+/* Pitch to Frequency */
+
+int16_t ptoftab[] = {
+
+	0x0060,	/*   0:     0.03561      0    0.00000 */
+	0x0060,	/*   1:     0.03696     64    0.05333 */
+	0x0060,	/*   2:     0.03835    128    0.10667 */
+	0x0060,	/*   3:     0.03979    192    0.16000 */
+	0x0080,	/*   4:     0.04129    256    0.21333 */
+	0x0080,	/*   5:     0.04284    320    0.26667 */
+	0x0080,	/*   6:     0.04446    384    0.32000 */
+	0x0080,	/*   7:     0.04613    448    0.37333 */
+	0x0080,	/*   8:     0.04787    512    0.42667 */
+	0x0080,	/*   9:     0.04967    576    0.48000 */
+	0x00A0,	/*  10:     0.05154    640    0.53333 */
+	0x00A0,	/*  11:     0.05348    704    0.58667 */
+	0x00A0,	/*  12:     0.05550    768    0.64000 */
+	0x00A0,	/*  13:     0.05759    832    0.69333 */
+	0x00A0,	/*  14:     0.05976    896    0.74667 */
+	0x00C0,	/*  15:     0.06201    960    0.80000 */
+	0x00C0,	/*  16:     0.06434   1024    0.85333 */
+	0x00C0,	/*  17:     0.06677   1088    0.90667 */
+	0x00C0,	/*  18:     0.06928   1152    0.96000 */
+	0x00E0,	/*  19:     0.07189   1216    1.01333 */
+	0x00E0,	/*  20:     0.07460   1280    1.06667 */
+	0x00E0,	/*  21:     0.07741   1344    1.12000 */
+	0x0100,	/*  22:     0.08032   1408    1.17333 */
+	0x0100,	/*  23:     0.08335   1472    1.22667 */
+	0x0100,	/*  24:     0.08649   1536    1.28000 */
+	0x0100,	/*  25:     0.08974   1600    1.33333 */
+	0x0120,	/*  26:     0.09312   1664    1.38667 */
+	0x0120,	/*  27:     0.09663   1728    1.44000 */
+	0x0140,	/*  28:     0.10027   1792    1.49333 */
+	0x0140,	/*  29:     0.10404   1856    1.54667 */
+	0x0140,	/*  30:     0.10796   1920    1.60000 */
+	0x0160,	/*  31:     0.11203   1984    1.65333 */
+	0x0160,	/*  32:     0.11625   2048    1.70667 */
+	0x0180,	/*  33:     0.12062   2112    1.76000 */
+	0x0180,	/*  34:     0.12517   2176    1.81333 */
+	0x0180,	/*  35:     0.12988   2240    1.86667 */
+	0x01A0,	/*  36:     0.13477   2304    1.92000 */
+	0x01A0,	/*  37:     0.13985   2368    1.97333 */
+	0x01C0,	/*  38:     0.14511   2432    2.02667 */
+	0x01E0,	/*  39:     0.15058   2496    2.08000 */
+	0x01E0,	/*  40:     0.15625   2560    2.13333 */
+	0x0200,	/*  41:     0.16213   2624    2.18667 */
+	0x0200,	/*  42:     0.16824   2688    2.24000 */
+	0x0220,	/*  43:     0.17458   2752    2.29333 */
+	0x0240,	/*  44:     0.18115   2816    2.34667 */
+/* 
+
+*/
+	0x0240,	/*  45:     0.18797   2880    2.40000 */
+	0x0260,	/*  46:     0.19505   2944    2.45333 */
+	0x0280,	/*  47:     0.20240   3008    2.50667 */
+	0x02A0,	/*  48:     0.21002   3072    2.56000 */
+	0x02A0,	/*  49:     0.21793   3136    2.61333 */
+	0x02C0,	/*  50:     0.22614   3200    2.66667 */
+	0x02E0,	/*  51:     0.23465   3264    2.72000 */
+	0x0300,	/*  52:     0.24349   3328    2.77333 */
+	0x0320,	/*  53:     0.25266   3392    2.82667 */
+	0x0340,	/*  54:     0.26217   3456    2.88000 */
+	0x0360,	/*  55:     0.27205   3520    2.93333 */
+	0x0380,	/*  56:     0.28229   3584    2.98667 */
+	0x03A0,	/*  57:     0.29292   3648    3.04000 */
+	0x03C0,	/*  58:     0.30395   3712    3.09333 */
+	0x03E0,	/*  59:     0.31540   3776    3.14667 */
+	0x0400,	/*  60:     0.32728   3840    3.20000 */
+	0x0420,	/*  61:     0.33960   3904    3.25333 */
+	0x0460,	/*  62:     0.35239   3968    3.30667 */
+	0x0480,	/*  63:     0.36567   4032    3.36000 */
+	0x04A0,	/*  64:     0.37944   4096    3.41333 */
+	0x04E0,	/*  65:     0.39373   4160    3.46667 */
+	0x0500,	/*  66:     0.40855   4224    3.52000 */
+	0x0540,	/*  67:     0.42394   4288    3.57333 */
+	0x0560,	/*  68:     0.43990   4352    3.62667 */
+	0x05A0,	/*  69:     0.45647   4416    3.68000 */
+	0x05E0,	/*  70:     0.47366   4480    3.73333 */
+	0x0620,	/*  71:     0.49150   4544    3.78667 */
+	0x0660,	/*  72:     0.51001   4608    3.84000 */
+	0x0680,	/*  73:     0.52922   4672    3.89333 */
+	0x06C0,	/*  74:     0.54915   4736    3.94667 */
+	0x0700,	/*  75:     0.56983   4800    4.00000 */
+	0x0760,	/*  76:     0.59129   4864    4.05333 */
+	0x07A0,	/*  77:     0.61355   4928    4.10667 */
+	0x07E0,	/*  78:     0.63666   4992    4.16000 */
+	0x0840,	/*  79:     0.66064   5056    4.21333 */
+	0x0880,	/*  80:     0.68552   5120    4.26667 */
+	0x08E0,	/*  81:     0.71133   5184    4.32000 */
+	0x0920,	/*  82:     0.73812   5248    4.37333 */
+	0x0980,	/*  83:     0.76592   5312    4.42667 */
+	0x09E0,	/*  84:     0.79476   5376    4.48000 */
+	0x0A40,	/*  85:     0.82469   5440    4.53333 */
+	0x0AA0,	/*  86:     0.85575   5504    4.58667 */
+	0x0B00,	/*  87:     0.88798   5568    4.64000 */
+	0x0B80,	/*  88:     0.92142   5632    4.69333 */
+	0x0BE0,	/*  89:     0.95612   5696    4.74667 */
+	0x0C60,	/*  90:     0.99213   5760    4.80000 */
+	0x0CC0,	/*  91:     1.02949   5824    4.85333 */
+	0x0D40,	/*  92:     1.06826   5888    4.90667 */
+/* 
+
+*/
+	0x0DC0,	/*  93:     1.10849   5952    4.96000 */
+	0x0E60,	/*  94:     1.15023   6016    5.01333 */
+	0x0EE0,	/*  95:     1.19355   6080    5.06667 */
+	0x0F60,	/*  96:     1.23850   6144    5.12000 */
+	0x1000,	/*  97:     1.28514   6208    5.17333 */
+	0x10A0,	/*  98:     1.33354   6272    5.22667 */
+	0x1140,	/*  99:     1.38376   6336    5.28000 */
+	0x11E0,	/* 100:     1.43587   6400    5.33333 */
+	0x1280,	/* 101:     1.48995   6464    5.38667 */
+	0x1340,	/* 102:     1.54606   6528    5.44000 */
+	0x1400,	/* 103:     1.60428   6592    5.49333 */
+	0x14C0,	/* 104:     1.66470   6656    5.54667 */
+	0x1580,	/* 105:     1.72739   6720    5.60000 */
+	0x1660,	/* 106:     1.79244   6784    5.65333 */
+	0x1720,	/* 107:     1.85995   6848    5.70667 */
+	0x1800,	/* 108:     1.92999   6912    5.76000 */
+	0x1900,	/* 109:     2.00267   6976    5.81333 */
+	0x19E0,	/* 110:     2.07809   7040    5.86667 */
+	0x1AE0,	/* 111:     2.15636   7104    5.92000 */
+	0x1BE0,	/* 112:     2.23756   7168    5.97333 */
+	0x1D00,	/* 113:     2.32183   7232    6.02667 */
+	0x1E00,	/* 114:     2.40927   7296    6.08000 */
+	0x1F40,	/* 115:     2.50000   7360    6.13333 */
+	0x2060,	/* 116:     2.59415   7424    6.18667 */
+	0x21A0,	/* 117:     2.69184   7488    6.24000 */
+	0x22E0,	/* 118:     2.79322   7552    6.29333 */
+	0x2420,	/* 119:     2.89841   7616    6.34667 */
+	0x2580,	/* 120:     3.00756   7680    6.40000 */
+	0x2700,	/* 121:     3.12083   7744    6.45333 */
+	0x2860,	/* 122:     3.23836   7808    6.50667 */
+	0x2A00,	/* 123:     3.36031   7872    6.56000 */
+	0x2B80,	/* 124:     3.48686   7936    6.61333 */
+	0x2D20,	/* 125:     3.61817   8000    6.66667 */
+	0x2EE0,	/* 126:     3.75443   8064    6.72000 */
+	0x30A0,	/* 127:     3.89582   8128    6.77333 */
+	0x3280,	/* 128:     4.04254   8192    6.82667 */
+	0x3460,	/* 129:     4.19478   8256    6.88000 */
+	0x3660,	/* 130:     4.35275   8320    6.93333 */
+	0x3860,	/* 131:     4.51668   8384    6.98667 */
+	0x3A80,	/* 132:     4.68677   8448    7.04000 */
+	0x3CC0,	/* 133:     4.86327   8512    7.09333 */
+	0x3F00,	/* 134:     5.04642   8576    7.14667 */
+	0x4160,	/* 135:     5.23647   8640    7.20000 */
+	0x43E0,	/* 136:     5.43367   8704    7.25333 */
+	0x4660,	/* 137:     5.63830   8768    7.30667 */
+	0x4920,	/* 138:     5.85064   8832    7.36000 */
+	0x4BE0,	/* 139:     6.07097   8896    7.41333 */
+	0x4EA0,	/* 140:     6.29961   8960    7.46667 */
+/* 
+
+*/
+	0x51A0,	/* 141:     6.53685   9024    7.52000 */
+	0x54C0,	/* 142:     6.78302   9088    7.57333 */
+	0x57E0,	/* 143:     7.03847   9152    7.62667 */
+	0x5B40,	/* 144:     7.30353   9216    7.68000 */
+	0x5EA0,	/* 145:     7.57858   9280    7.73333 */
+	0x6240,	/* 146:     7.86399   9344    7.78667 */
+	0x6600,	/* 147:     8.16014   9408    7.84000 */
+	0x69C0,	/* 148:     8.46745   9472    7.89333 */
+	0x6DC0,	/* 149:     8.78633   9536    7.94667 */
+	0x71E0,	/* 150:     9.11722   9600    8.00000 */
+	0x7640,	/* 151:     9.46058   9664    8.05333 */
+	0x7AA0,	/* 152:     9.81686   9728    8.10667 */
+	0x7D00,	/* 153:    10.18656   9792    8.16000 */
+	0x7D00,	/* 154:    10.57018   9856    8.21333 */
+	0x7D00,	/* 155:    10.96825   9920    8.26667 */
+	0x7D00,	/* 156:    11.38131   9984    8.32000 */
+	0x7D00,	/* 157:    11.80993  10048    8.37333 */
+	0x7D00,	/* 158:    12.25468  10112    8.42667 */
+	0x7D00,	/* 159:    12.71619  10176    8.48000 */
+	0x7D00,	/* 160:    13.19508  10240    8.53333 */
+	0x7D00,	/* 161:    13.69200  10304    8.58667 */
+	0x7D00,	/* 162:    14.20764  10368    8.64000 */
+	0x7D00,	/* 163:    14.74269  10432    8.69333 */
+	0x7D00,	/* 164:    15.29790  10496    8.74667 */
+	0x7D00,	/* 165:    15.87401  10560    8.80000 */
+	0x7D00,	/* 166:    16.47182  10624    8.85333 */
+	0x7D00,	/* 167:    17.09214  10688    8.90667 */
+	0x7D00,	/* 168:    17.73583  10752    8.96000 */
+	0x7D00,	/* 169:    18.40375  10816    9.01333 */
+	0x7D00,	/* 170:    19.09683  10880    9.06667 */
+	0x7D00,	/* 171:    19.81601  10944    9.12000 */
+	0x7D00,	/* 172:    20.00000  11008    9.13333 */
+	0x7D00,	/* 173:    20.00000  11072    9.13333 */
+	0x7D00,	/* 174:    20.00000  11136    9.13333 */
+	0x7D00,	/* 175:    20.00000  11200    9.13333 */
+	0x7D00,	/* 176:    20.00000  11264    9.13333 */
+	0x7D00,	/* 177:    20.00000  11328    9.13333 */
+	0x7D00,	/* 178:    20.00000  11392    9.13333 */
+	0x7D00,	/* 179:    20.00000  11456    9.13333 */
+	0x7D00,	/* 180:    20.00000  11520    9.13333 */
+	0x7D00,	/* 181:    20.00000  11584    9.13333 */
+	0x7D00,	/* 182:    20.00000  11648    9.13333 */
+	0x7D00,	/* 183:    20.00000  11712    9.13333 */
+	0x7D00,	/* 184:    20.00000  11776    9.13333 */
+	0x7D00,	/* 185:    20.00000  11840    9.13333 */
+	0x7D00,	/* 186:    20.00000  11904    9.13333 */
+	0x7D00,	/* 187:    20.00000  11968    9.13333 */
+	0x7D00,	/* 188:    20.00000  12032    9.13333 */
+/* 
+
+*/
+	0x7D00,	/* 189:    20.00000  12096    9.13333 */
+	0x7D00,	/* 190:    20.00000  12160    9.13333 */
+	0x7D00,	/* 191:    20.00000  12224    9.13333 */
+	0x7D00,	/* 192:    20.00000  12288    9.13333 */
+	0x7D00,	/* 193:    20.00000  12352    9.13333 */
+	0x7D00,	/* 194:    20.00000  12416    9.13333 */
+	0x7D00,	/* 195:    20.00000  12480    9.13333 */
+	0x7D00,	/* 196:    20.00000  12544    9.13333 */
+	0x7D00,	/* 197:    20.00000  12608    9.13333 */
+	0x7D00,	/* 198:    20.00000  12672    9.13333 */
+	0x7D00,	/* 199:    20.00000  12736    9.13333 */
+	0x7D00,	/* 200:    20.00000  12800    9.13333 */
+	0x7D00,	/* 201:    20.00000  12864    9.13333 */
+	0x7D00,	/* 202:    20.00000  12928    9.13333 */
+	0x7D00,	/* 203:    20.00000  12992    9.13333 */
+	0x7D00,	/* 204:    20.00000  13056    9.13333 */
+	0x7D00,	/* 205:    20.00000  13120    9.13333 */
+	0x7D00,	/* 206:    20.00000  13184    9.13333 */
+	0x7D00,	/* 207:    20.00000  13248    9.13333 */
+	0x7D00,	/* 208:    20.00000  13312    9.13333 */
+	0x7D00,	/* 209:    20.00000  13376    9.13333 */
+	0x7D00,	/* 210:    20.00000  13440    9.13333 */
+	0x7D00,	/* 211:    20.00000  13504    9.13333 */
+	0x7D00,	/* 212:    20.00000  13568    9.13333 */
+	0x7D00,	/* 213:    20.00000  13632    9.13333 */
+	0x7D00,	/* 214:    20.00000  13696    9.13333 */
+	0x7D00,	/* 215:    20.00000  13760    9.13333 */
+	0x7D00,	/* 216:    20.00000  13824    9.13333 */
+	0x7D00,	/* 217:    20.00000  13888    9.13333 */
+	0x7D00,	/* 218:    20.00000  13952    9.13333 */
+	0x7D00,	/* 219:    20.00000  14016    9.13333 */
+	0x7D00,	/* 220:    20.00000  14080    9.13333 */
+	0x7D00,	/* 221:    20.00000  14144    9.13333 */
+	0x7D00,	/* 222:    20.00000  14208    9.13333 */
+	0x7D00,	/* 223:    20.00000  14272    9.13333 */
+	0x7D00,	/* 224:    20.00000  14336    9.13333 */
+	0x7D00,	/* 225:    20.00000  14400    9.13333 */
+	0x7D00,	/* 226:    20.00000  14464    9.13333 */
+	0x7D00,	/* 227:    20.00000  14528    9.13333 */
+	0x7D00,	/* 228:    20.00000  14592    9.13333 */
+	0x7D00,	/* 229:    20.00000  14656    9.13333 */
+	0x7D00,	/* 230:    20.00000  14720    9.13333 */
+	0x7D00,	/* 231:    20.00000  14784    9.13333 */
+	0x7D00,	/* 232:    20.00000  14848    9.13333 */
+	0x7D00,	/* 233:    20.00000  14912    9.13333 */
+	0x7D00,	/* 234:    20.00000  14976    9.13333 */
+	0x7D00,	/* 235:    20.00000  15040    9.13333 */
+	0x7D00,	/* 236:    20.00000  15104    9.13333 */
+/* 
+
+*/
+	0x7D00,	/* 237:    20.00000  15168    9.13333 */
+	0x7D00,	/* 238:    20.00000  15232    9.13333 */
+	0x7D00,	/* 239:    20.00000  15296    9.13333 */
+	0x7D00,	/* 240:    20.00000  15360    9.13333 */
+	0x7D00,	/* 241:    20.00000  15424    9.13333 */
+	0x7D00,	/* 242:    20.00000  15488    9.13333 */
+	0x7D00,	/* 243:    20.00000  15552    9.13333 */
+	0x7D00,	/* 244:    20.00000  15616    9.13333 */
+	0x7D00,	/* 245:    20.00000  15680    9.13333 */
+	0x7D00,	/* 246:    20.00000  15744    9.13333 */
+	0x7D00,	/* 247:    20.00000  15808    9.13333 */
+	0x7D00,	/* 248:    20.00000  15872    9.13333 */
+	0x7D00,	/* 249:    20.00000  15936    9.13333 */
+	0x7D00,	/* 250:    20.00000  16000    9.13333 */
+	0x7D00,	/* 251:    20.00000  16064    9.13333 */
+	0x7D00,	/* 252:    20.00000  16128    9.13333 */
+	0x7D00,	/* 253:    20.00000  16192    9.13333 */
+	0x7D00,	/* 254:    20.00000  16256    9.13333 */
+	0x7D00 	/* 255:    20.00000  16320    9.13333 */
+};