Index: ram/idfield.c
===================================================================
--- ram/idfield.c	(revision 6262b5c7974b08ad57f56d797cf7106c80531276)
+++ ram/idfield.c	(revision 06f6615f7a871c8dba6b55c56185a726a2ebfa1a)
@@ -6,136 +6,5 @@
 */
 
-#include "all.h"
-
-extern	void	select(void);
-extern	void	stdmkey(void);
-extern	void	stddkey(int16_t k);
-extern	void	nokey(void);
-extern	void	cxkstd(void);
-extern	void	cykstd(void);
-extern	int16_t	vtoy(int16_t val, int16_t window);
-extern	int16_t	ttox(uint16_t time, int16_t window);
-extern	int16_t	timeto(int16_t fn, int16_t pj);
-extern	void	dswin(int16_t n);
-extern	int16_t	stdctp1(void);
-extern	int16_t	whatbox(void);
-extern	int16_t	inspnt(struct instdef *ip, int16_t fn, int16_t inpnt);
-extern	void	pntsel(void);
-extern	void	setseg(int16_t pn, uint16_t ptime);
-extern	void	showpt(int16_t q);
-
-extern	int16_t	et_null(int16_t n);
-extern	int16_t	ef_null(int16_t n);
-extern	int16_t	rd_null(int16_t n);
-extern	int16_t	nd_null(int16_t n, int16_t k);
-extern	int16_t	et_ipnt(int16_t n);
-extern	int16_t	ef_ipnt(int16_t n);
-extern	int16_t	rd_ipnt(int16_t n);
-extern	int16_t	nd_ipnt(int16_t n, int16_t k);
-extern	int16_t	et_idin(int16_t n);
-extern	int16_t	ef_idin(int16_t n);
-extern	int16_t	rd_idin(int16_t n);
-extern	int16_t	nd_idin(int16_t n, int16_t k);
-extern	int16_t	et_ivce(int16_t n);
-extern	int16_t	ef_ivce(int16_t n);
-extern	int16_t	rd_ivce(int16_t n);
-extern	int16_t	nd_ivce(int16_t n, int16_t k);
-extern	int16_t	et_icnf(int16_t n);
-extern	int16_t	ef_icnf(int16_t n);
-extern	int16_t	rd_icnf(int16_t n);
-extern	int16_t	nd_icnf(int16_t n, int16_t k);
-extern	int16_t	et_ival(int16_t n);
-extern	int16_t	ef_ival(int16_t n);
-extern	int16_t	rd_ival(int16_t n);
-extern	int16_t	nd_ival(int16_t n, int16_t k);
-extern	int16_t	et_itim(int16_t n);
-extern	int16_t	ef_itim(int16_t n);
-extern	int16_t	rd_itim(int16_t n);
-extern	int16_t	nd_itim(int16_t n, int16_t k);
-extern	int16_t	et_iosc(int16_t nn);
-extern	int16_t	ef_iosc(int16_t nn);
-extern	int16_t	rd_iosc(int16_t nn);
-extern	int16_t	nd_iosc(int16_t nn, int16_t k);
-extern	int16_t	et_iact(int16_t nn);
-extern	int16_t	ef_iact(int16_t nn);
-extern	int16_t	rd_iact(int16_t nn);
-extern	int16_t	nd_iact(int16_t nn, int16_t k);
-extern	int16_t	et_iwsn(int16_t nn);
-extern	int16_t	ef_iwsn(int16_t nn);
-extern	int16_t	rd_iwsn(int16_t nn);
-extern	int16_t	nd_iwsn(int16_t nn, int16_t k);
-extern	int16_t	et_ires(int16_t n);
-extern	int16_t	ef_ires(int16_t n);
-extern	int16_t	rd_ires(int16_t n);
-extern	int16_t	nd_ires(int16_t n, int16_t k);
-extern	int16_t	et_imlt(int16_t n);
-extern	int16_t	ef_imlt(int16_t n);
-extern	int16_t	rd_imlt(int16_t n);
-extern	int16_t	nd_imlt(int16_t n, int16_t k);
-
-extern	uint16_t	fromfpu(uint16_t fputime);
-
-extern	void	*memset(void *vp, int8_t c, int16_t n);
-
-/* 
-
-*/
-
-extern	int16_t	curvce, curfunc, curpnt, hitbox, astat, idnamsw;
-extern	int16_t	cxval, cyval, cxrate, cyrate, curslim, cmtype, cmfirst;
-extern	int16_t	pecase, pntsv, npts, subj, idimsw, wcflag, imflag;
-extern	int16_t	idcfsw, idsrcsw, vtcrow, vtccol, stcrow, stccol;
-extern	int16_t	vtxval, vtyval;
-
-extern	int16_t	temax, temin;
-
-extern	int16_t	*cratex, *cratey, crate0[], crate1[];
-
-extern	uint16_t	*instob;
-
-extern	int8_t	bfs[];
-extern	int8_t	*idbxlbl[];
-
-extern	int16_t	fnoff[];
-extern	int16_t	idbox[][8];
-
-extern	struct	selbox	*csbp;
-extern	struct	selbox	idboxes[];
-
-extern	struct	sment	sments[];
-extern	struct	sment	*vpsms[];
-
-extern	struct	valent	valents[];
-
-extern	struct	instpnt	*pntptr;
-
-extern	struct	instdef	vbufs[];
-
-void	idx_key(void);
-int16_t	idnfld(int16_t k);
-void	idcxupd(void);
-void	idcyupd(void);
-void	ikyup(void);
-void	ikydn(void);
-
-extern	int16_t delpnts(void);
-extern	int16_t edfunc(int16_t n);
-extern	int16_t gcurpos(int16_t xloc, int16_t yloc);
-extern	int16_t segtime(int16_t pn, uint16_t ptime);
-extern	uint16_t addfpu(uint16_t t, int16_t k);
-extern	uint16_t subfpu(uint16_t t, int16_t k);
-extern	void allwins(void);
-extern	void arcurs(uint16_t icolor);
-extern	void curset(struct curpak *s);
-extern	void execins(int16_t vce, int16_t ins, int16_t tag);
-extern	void initi(struct instdef *ip);
-extern	void modinst(void);
-extern	void setinst(void);
-extern	void vtcxupd(void);
-extern	void vtcyupd(void);
-
-/* 
-
-*/
+#include "ram.h"
 
 int16_t	zonemax[9] = { 63, 119, 175, 231, 287, 343, 399, 455, 509};