Index: ram/seexec.s
===================================================================
--- ram/seexec.s	(revision 84c01255fcf53ea395d67ce5468972fe0ba4aca6)
+++ ram/seexec.s	(revision 27c8d4002e04fa5beee2de6454fd13922f10e079)
@@ -13,39 +13,39 @@
 		.text
 
-		.xdef	_se_exec
+		.xdef	se_exec
 
 		.xdef	BadEvnt
 
-		.xdef	_xevent
-
-		.xref	_asgvce
-		.xref	_clkset
-		.xref	_getasg
-		.xref	_gettun
-		.xref	_procpfl
-		.xref	_selscor
-		.xref	_setdyn
-		.xref	_setloc
-		.xref	_setsv
-		.xref	_settmpo
-		.xref	_settune
-		.xref	_setv2gi
-
-		.xref	_anrs
-		.xref	_var2src
-		.xref	_curasg
-		.xref	_curintp
-		.xref	_cursect
-		.xref	_grpmode
-		.xref	_grpstat
-		.xref	_ins2grp
-		.xref	_nxtflag
-		.xref	_recsw
-		.xref	_s_trns
-		.xref	_trgtab
-		.xref	_varmode
-		.xref	_vce2grp
-		.xref	_vce2trg
-		.xref	_veltab
+		.xdef	xevent
+
+		.xref	asgvce
+		.xref	clkset
+		.xref	getasg
+		.xref	gettun
+		.xref	procpfl
+		.xref	selscor
+		.xref	setdyn
+		.xref	setloc
+		.xref	setsv
+		.xref	settmpo
+		.xref	settune
+		.xref	setv2gi
+
+		.xref	anrs
+		.xref	var2src
+		.xref	curasg
+		.xref	curintp
+		.xref	cursect
+		.xref	grpmode
+		.xref	grpstat
+		.xref	ins2grp
+		.xref	nxtflag
+		.xref	recsw
+		.xref	s_trns
+		.xref	trgtab
+		.xref	varmode
+		.xref	vce2grp
+		.xref	vce2trg
+		.xref	veltab
 
 		.page
@@ -98,5 +98,5 @@
 | hardware limited by the timer.
 
-_se_exec:	link	a6,#0			| link stack frames
+se_exec:	link	a6,#0			| link stack frames
 		movea.l	P_EP(a6),a0		| get event pointer 'ep' into a0
 		move.l	a0,_xevent		| save in xevent
@@ -144,5 +144,5 @@
 		move.b	E_GROUP(a0),d1		| get group number
 		add.w	d1,d1			| ... * 2
-		lea	_grpstat,a1		| point at grpstat
+		lea	grpstat,a1		| point at grpstat
 		tst.w	0(a1,d1.W)		| see if group is enabled
 		beq	exexit			| done if not
@@ -151,9 +151,9 @@
 		move.w	#LCL_PCH,d2		| put port and channel in d2
 		add.w	d1,d2			| d2 = trg
-		lea	_trgtab,a1		| point at trgtab[trg]
+		lea	trgtab,a1		| point at trgtab[trg]
 		move.b	0(a1,d2.W),d0		| ...
 		or.b	#M_KSTATE,d0		| set trigger table entry on
 		move.b	d0,0(a1,d2.W)		| ...
-		lea	_veltab,a1		| point at veltab
+		lea	veltab,a1		| point at veltab
 		add.w	d2,d2			| ...
 		move.w	E_VEL(a0),0(a1,d2.W)	| put velocity in veltab
@@ -164,5 +164,5 @@
 		move.b	E_GROUP(a0),d1		| d1 = group number  (0..11)
 		move.w	d1,-(a7)		| put group number on the stack
-		jsr	_asgvce			| start the note
+		jsr	asgvce			| start the note
 		add.l	#10,a7			| clean up the stack
 		bra	exexit			| done
@@ -182,5 +182,5 @@
 		move.b	E_GROUP(a0),d1		| get group number
 		add.w	d1,d1			| ... * 2
-		lea	_grpstat,a1		| point at grpstat
+		lea	grpstat,a1		| point at grpstat
 		tst.w	0(a1,d1.W)		| check group status
 		beq	exexit			| done if disabled
@@ -190,5 +190,5 @@
 		add.w	d1,d2			| d2 = trg * 2
 		add.w	d2,d2			| ...
-		lea	_trgtab,a1		| set trigger table entry off
+		lea	trgtab,a1		| set trigger table entry off
 		move.b	0(a1,d2.W),d0		| ...
 		and.b	#N_KSTATE,d0		| ...
@@ -200,5 +200,5 @@
 		lsr.w	#1,d2			| adjust d2
 		clr.w	d1			| set loop index
-		lea	_vce2trg,a2		| point at vce2trg table
+		lea	vce2trg,a2		| point at vce2trg table
 
 exnend1:	cmp.w	(a2),d2			| see if this voice uses trg
@@ -209,10 +209,10 @@
 		move.w	d1,-(a7)		| save d1 on stack
 		move.w	d2,-(a7)		| save d2 on stack
-		lea	_vce2grp,a1		| put group on stack
+		lea	vce2grp,a1		| put group on stack
 		move.w	d1,d0			| ...
 		add.w	d0,d0			| ...
 		move.w	0(a1,d0.W),-(a7)	| ...
 		move.w	d2,-(a7)		| put trg on stack
-		jsr	_procpfl		| process sustained voices
+		jsr	procpfl			| process sustained voices
 		addq.l	#4,a7			| clean up stack
 		move.w	(a7)+,d2		| restore d2
@@ -233,5 +233,5 @@
 exsbgn:		clr.w	d0			| get section number
 		move.b	E_DATA1(a0),d0		| ...
-		move.w	d0,_cursect		| set section number
+		move.w	d0,cursect		| set section number
 		bra	exexit			| done
 
@@ -241,6 +241,6 @@
 		move.b	E_DATA1(a0),d0		| ...
 		move.w	d0,-(a7)		| getasg(curasg = asgn)
-		move.w	d0,_curasg		| ...
-		jsr	_getasg			| ...
+		move.w	d0,curasg		| ...
+		jsr	getasg			| ...
 		tst.w	(a7)+			| ...
 		bra	exexit			| done
@@ -251,5 +251,5 @@
 		move.b	E_DATA1(a0),d0		| ...
 		move.w	d0,-(a7)		| gettun(tuning)
-		jsr	_gettun			| ...
+		jsr	gettun			| ...
 		tst.w	(a7)+			| ...
 		bra	exexit			| done
@@ -260,11 +260,11 @@
 		move.b	E_DATA1(a0),d0		| ...
 		add.w	d0,d0			| ... as an index in d0
-		lea	_grpstat,a1		| check grpstat[grp]
+		lea	grpstat,a1		| check grpstat[grp]
 		tst.w	0(a1,d0.W)		| ...
 		beq	exexit			| done if disabled
 
-		lea	_s_trns,a1		| set group transposition
+		lea	s_trns,a1		| set group transposition
 		move.w	E_LFT(a0),0(a1,d0.W)	| ...
-		jsr	_settune		| ...
+		jsr	settune			| ...
 		bra 	exexit			| done
 
@@ -276,5 +276,5 @@
 		move.b	E_DATA1(a0),d0		| ...
 		move.w	d0,-(a7)		| settmpo(tempo)
-		jsr	_settmpo		| ...
+		jsr	settmpo			| ...
 		tst.w	(a7)+			| ...
 		bra	exexit			| done
@@ -283,5 +283,5 @@
 | ------    ------------------
 exstop:		clr.w	-(a7)			| stop the clock
-		jsr	_clkset			| ...
+		jsr	clkset			| ...
 		tst.w	(a7)+			| ...
 		bra	exexit			| that's all, folks
@@ -289,5 +289,5 @@
 | exintp -- execute interpolate event
 | ------    -------------------------
-exintp:		move.w	E_DATA1(a0),_curintp	| set interpolate value
+exintp:		move.w	E_DATA1(a0),curintp	| set interpolate value
 		bra	exexit			| done
 
@@ -299,9 +299,9 @@
 		move.b	E_DATA1(a0),d0		| ... in d0
 		add.w	d0,d0			| ... as a word offset
-		lea	_grpstat,a1		| check grpstat[grp]
+		lea	grpstat,a1		| check grpstat[grp]
 		tst.w	0(a1,d0.W)		| ...
 		beq	exexit			| done if not enabled
 
-		lea	_ins2grp,a1		| point at ins2grp[]
+		lea	ins2grp,a1		| point at ins2grp[]
 		clr.w	d0			| get instrument number
 		move.b	E_DATA2(a0),d0		| ... in d0
@@ -314,5 +314,5 @@
 		or.w	d0,d2			| OR in new instrument number
 		move.w	d2,0(a1,d1.W)		| set ins2grp[group]
-		jsr	_setv2gi		| setv2gi(group)
+		jsr	setv2gi			| setv2gi(group)
 		tst.w	(a7)+			| clean up stack
 		bra	exexit			| done
@@ -325,5 +325,5 @@
 		move.b	E_DATA1(a0),d0		| ... in d0
 		add.w	d0,d0			| ... as a word offset
-		lea	_grpstat,a1		| check grpstat[grp]
+		lea	grpstat,a1		| check grpstat[grp]
 		tst.w	0(a1,d0.W)		| ...
 		beq	exexit			| done if not enabled
@@ -335,5 +335,5 @@
 		move.w	d0,-(a7)		| setdyn(group, dyn)
 		move.w	d1,-(a7)		| ...
-		jsr	_setdyn			| ...
+		jsr	setdyn			| ...
 		adda.l	#4,a7			| clean up stack
 		bra	exexit			| done
@@ -344,5 +344,5 @@
 		move.b	E_DATA1(a0),d0		| ... in d0
 		add.w	d0,d0			| ... as a word offset
-		lea	_grpstat,a1		| check grpstat[grp]
+		lea	grpstat,a1		| check grpstat[grp]
 		tst.w	0(a1,d0.W)		| ...
 		beq	exexit			| done if not enabled
@@ -354,5 +354,5 @@
 		move.w	d0,-(a7)		| setloc(group, loc)
 		move.w	d1,-(a7)		| ...
-		jsr	_setloc			| ...
+		jsr	setloc			| ...
 		adda.l	#4,a7			| clean up stack
 		bra	exexit			| done
@@ -365,5 +365,5 @@
 		andi.w	#0x000F,d0		| ... in d0
 		add.w	d0,d0			| ... as a word offset
-		lea	_grpstat,a1		| check grpstat[grp]
+		lea	grpstat,a1		| check grpstat[grp]
 		tst.w	0(a1,d0.W)		| ...
 		beq	exexit			| done if not enabled
@@ -374,5 +374,5 @@
 		clr.w	d0			| get resolution
 		move.b	E_DATA2(a0),d0		| ... in d0
-		lea	_anrs,a1		| point at resolution table base
+		lea	anrs,a1			| point at resolution table base
 		move.w	d0,0(a1,d1.W)		| save resolution in table
 		bra	exexit			| done
@@ -383,5 +383,5 @@
 		andi.w	#0x000F,d0		| ... in d0
 		add.w	d0,d0			| ... as a word offset
-		lea	_grpstat,a1		| check grpstat[grp]
+		lea	grpstat,a1		| check grpstat[grp]
 		tst.w	0(a1,d0.W)		| ...
 		beq	exexit			| done if not enabled
@@ -394,8 +394,8 @@
 		lsr.w	#3,d2			| extract variable number
 		andi.w	#0x001E,d2		| ... as a word index in d2
-		lea	_var2src,a1		| point at variable map
+		lea	var2src,a1		| point at variable map
 		move.w	0(a1,d2.W),-(a7)	| put source number on stack
 		move.w	d1,-(a7)		| put group number on stack
-		jsr	_setsv			| setsv(group, src, val)
+		jsr	setsv			| setsv(group, src, val)
 		adda.l	#6,a7			| clean up stack
 		bra	exexit			| done
@@ -403,5 +403,5 @@
 | exnext -- next score
 | ------    ----------
-exnext:		move.w	#1,_nxtflag		| set next score flag
+exnext:		move.w	#1,nxtflag		| set next score flag
 		bra	exexit			| done
 
@@ -410,5 +410,5 @@
 | expnch -- execute punch in/out
 | ------    --------------------
-expnch:		tst.w	_recsw			| recording ?
+expnch:		tst.w	recsw			| recording ?
 		beq	exexit			| ignore if not
 
@@ -418,5 +418,5 @@
 | punch out
 
-		lea	_grpmode,a1		| setup for group modes
+		lea	grpmode,a1		| setup for group modes
 		move.w	#11,d0			| ...
 
@@ -429,5 +429,5 @@
 		dbra	d0,expnch0		| loop through all groups
 
-		lea	_varmode,a1		| setup for variable modes
+		lea	varmode,a1		| setup for variable modes
 		move.w	#5,d1			| set variable count
 
@@ -452,5 +452,5 @@
 | punch in
 
-expnch5:	lea	_grpmode,a1		| setup for group modes
+expnch5:	lea	grpmode,a1		| setup for group modes
 		move.w	#11,d0			| ...
 
@@ -463,5 +463,5 @@
 		dbra	d0,expnch6		| loop through all groups
 
-		lea	_varmode,a1		| setup for variable modes
+		lea	varmode,a1		| setup for variable modes
 		move.w	#5,d1			| set variable count
 