Index: include/glob.h
===================================================================
--- include/glob.h	(revision f7428b16e721f80978c178e5269b7e75d4003bd0)
+++ include/glob.h	(revision 39a696bd71d6ae6c71a378daf9b52b4be6f64983)
@@ -0,0 +1,247 @@
+#include "../iolib/dofmt.x"
+#include "../iolib/mdump.x"
+#include "../iolib/pause.x"
+#include "../iolib/printf.x"
+#include "../iolib/rawio.x"
+#include "../iolib/sprintf.x"
+#include "../iolib/waitcr.x"
+#include "../lib700/bitrev.x"
+#include "../lib700/ctype.x"
+#include "../lib700/ispow2.x"
+#include "../lib700/mangle.x"
+#include "../lib700/micons.x"
+#include "../lib700/tolower.x"
+#include "../lib700/toupper.x"
+#include "../libcio/atoi.x"
+#include "../libcio/atol.x"
+#include "../libcio/blkrd.x"
+#include "../libcio/blkwr.x"
+#include "../libcio/close.x"
+#include "../libcio/clusmap.x"
+#include "../libcio/conin.x"
+#include "../libcio/conwr.x"
+#include "../libcio/dirfns.x"
+#include "../libcio/fgets.x"
+#include "../libcio/filesys.x"
+#include "../libcio/filname.x"
+#include "../libcio/flread.x"
+#include "../libcio/fopen.x"
+#include "../libcio/fprintf.x"
+#include "../libcio/fputs.x"
+#include "../libcio/fread.x"
+#include "../libcio/fscanf.x"
+#include "../libcio/fseek.x"
+#include "../libcio/fsinit.x"
+#include "../libcio/fsize.x"
+#include "../libcio/fstubs.x"
+#include "../libcio/ftell.x"
+#include "../libcio/fwrite.x"
+#include "../libcio/getbuff.x"
+#include "../libcio/getc.x"
+#include "../libcio/getl.x"
+#include "../libcio/getw.x"
+#include "../libcio/lseek.x"
+#include "../libcio/open.x"
+#include "../libcio/posit.x"
+#include "../libcio/putc.x"
+#include "../libcio/putl.x"
+#include "../libcio/putw.x"
+#include "../libcio/readrn.x"
+#include "../libcio/read.x"
+#include "../libcio/rename.x"
+#include "../libcio/scan.x"
+#include "../libcio/setbuf.x"
+#include "../libcio/ungetc.x"
+#include "../libcio/unlink.x"
+#include "../libcio/writern.x"
+#include "../libcio/write.x"
+#include "../libsm/index.x"
+#include "../libsm/memccpy.x"
+#include "../libsm/memchr.x"
+#include "../libsm/memcmpu.x"
+#include "../libsm/memcmp.x"
+#include "../libsm/memcpyw.x"
+#include "../libsm/memcpy.x"
+#include "../libsm/memsetw.x"
+#include "../libsm/memset.x"
+#include "../libsm/rindex.x"
+#include "../libsm/str2lc.x"
+#include "../libsm/str2uc.x"
+#include "../libsm/strcat.x"
+#include "../libsm/strccpy.x"
+#include "../libsm/strchr.x"
+#include "../libsm/strcmp.x"
+#include "../libsm/strcpy.x"
+#include "../libsm/strcspn.x"
+#include "../libsm/strfill.x"
+#include "../libsm/strlcmp.x"
+#include "../libsm/strlen.x"
+#include "../libsm/strltrm.x"
+#include "../libsm/strncat.x"
+#include "../libsm/strncmp.x"
+#include "../libsm/strncpy.x"
+#include "../libsm/strpbrk.x"
+#include "../libsm/strrchr.x"
+#include "../libsm/strrevi.x"
+#include "../libsm/strrev.x"
+#include "../libsm/strrtrm.x"
+#include "../libsm/strspn.x"
+#include "../libsm/strtok.x"
+#include "../libsm/strtol.x"
+#include "../misc/proto.x"
+#include "../prolog/croot.x"
+#include "../ram/addfpu.x"
+#include "../ram/adfield.x"
+#include "../ram/adselbx.x"
+#include "../ram/asgdsp.x"
+#include "../ram/asgvce.x"
+#include "../ram/barbadj.x"
+#include "../ram/chgsef.x"
+#include "../ram/chksec.x"
+#include "../ram/cminit.x"
+#include "../ram/ctcpos.x"
+#include "../ram/curset.x"
+#include "../ram/dbentr.x"
+#include "../ram/dcopy.x"
+#include "../ram/dec2fr.x"
+#include "../ram/delnote.x"
+#include "../ram/delpnts.x"
+#include "../ram/dformat.x"
+#include "../ram/dopatch.x"
+#include "../ram/enterit.x"
+#include "../ram/etaccn.x"
+#include "../ram/etadep.x"
+#include "../ram/etadyn.x"
+#include "../ram/etagch.x"
+#include "../ram/etagpt.x"
+#include "../ram/etains.x"
+#include "../ram/etaint.x"
+#include "../ram/etaopt.x"
+#include "../ram/etaprg.x"
+#include "../ram/etarat.x"
+#include "../ram/etatab.x"
+#include "../ram/etatun.x"
+#include "../ram/etavgr.x"
+#include "../ram/etdyn.x"
+#include "../ram/etiact.x"
+#include "../ram/eticnf.x"
+#include "../ram/etidin.x"
+#include "../ram/etimlt.x"
+#include "../ram/etinst.x"
+#include "../ram/etioas.x"
+#include "../ram/etiosc.x"
+#include "../ram/etipnt.x"
+#include "../ram/etires.x"
+#include "../ram/etitim.x"
+#include "../ram/etival.x"
+#include "../ram/etivce.x"
+#include "../ram/etiwsn.x"
+#include "../ram/etloc.x"
+#include "../ram/etmcfn.x"
+#include "../ram/etrel.x"
+#include "../ram/etres1.x"
+#include "../ram/etscor.x"
+#include "../ram/etsnbt.x"
+#include "../ram/etstrn.x"
+#include "../ram/ettpch.x"
+#include "../ram/ettrns.x"
+#include "../ram/etttab.x"
+#include "../ram/ettval.x"
+#include "../ram/etvel.x"
+#include "../ram/etwavs.x"
+#include "../ram/etwhar.x"
+#include "../ram/etwhrv.x"
+#include "../ram/etwoff.x"
+#include "../ram/etwpnt.x"
+#include "../ram/etwslt.x"
+#include "../ram/etwvce.x"
+#include "../ram/fcnote.x"
+#include "../ram/frfind.x"
+#include "../ram/gcurpos.x"
+#include "../ram/idfield.x"
+#include "../ram/idselbx.x"
+#include "../ram/im700.x"
+#include "../ram/infield.x"
+#include "../ram/initi.x"
+#include "../ram/instdsp.x"
+#include "../ram/itcpos.x"
+#include "../ram/kbobj.x"
+#include "../ram/lcdlbls.x"
+#include "../ram/ldfield.x"
+#include "../ram/ldselbx.x"
+#include "../ram/libdsp.x"
+#include "../ram/librw.x"
+#include "../ram/localkb.x"
+#include "../ram/m7menu.x"
+#include "../ram/midas.x"
+#include "../ram/msl.x"
+#include "../ram/msm.x"
+#include "../ram/nedacc.x"
+#include "../ram/pix2mid.x"
+#include "../ram/ptdisp.x"
+#include "../ram/ptdkey.x"
+#include "../ram/ptfield.x"
+#include "../ram/ptread.x"
+#include "../ram/ptselbx.x"
+#include "../ram/ptwrite.x"
+#include "../ram/puteq.x"
+#include "../ram/rscript.x"
+#include "../ram/scadv.x"
+#include "../ram/scfield.x"
+#include "../ram/scgoto.x"
+#include "../ram/scinit.x"
+#include "../ram/scope.x"
+#include "../ram/scordsp.x"
+#include "../ram/scread.x"
+#include "../ram/scselbx.x"
+#include "../ram/sctrak.x"
+#include "../ram/scwrite.x"
+#include "../ram/seccpy.x"
+#include "../ram/sedump.x"
+#include "../ram/select.x"
+#include "../ram/sendval.x"
+#include "../ram/setgc.x"
+#include "../ram/setv2gi.x"
+#include "../ram/setwq.x"
+#include "../ram/showcfg.x"
+#include "../ram/smscrl.x"
+#include "../ram/sqdisp.x"
+#include "../ram/sqdkey.x"
+#include "../ram/sqexec.x"
+#include "../ram/sqfield.x"
+#include "../ram/sqread.x"
+#include "../ram/sqscan.x"
+#include "../ram/sqselbx.x"
+#include "../ram/sqwrite.x"
+#include "../ram/stcpos.x"
+#include "../ram/stmproc.x"
+#include "../ram/swinit.x"
+#include "../ram/tdfield.x"
+#include "../ram/tdselbx.x"
+#include "../ram/ttcpos.x"
+#include "../ram/tundsp.x"
+#include "../ram/ucslice.x"
+#include "../ram/uslice.x"
+#include "../ram/vtyper.x"
+#include "../ram/wdselbx.x"
+#include "../ram/wheel.x"
+#include "../ram/wscalc.x"
+#include "../ram/wsdsp.x"
+#include "../rom/booter.x"
+#include "../rom/romp.x"
+#include "../vlib/cg2.x"
+#include "../vlib/cg3.x"
+#include "../vlib/glcinit.x"
+#include "../vlib/lseg.x"
+#include "../vlib/vbfill4.x"
+#include "../vlib/vclrs.x"
+#include "../vlib/vhinit.x"
+#include "../vlib/vmput.x"
+#include "../vlib/vobjfns.x"
+#include "../vlib/vputsv.x"
+#include "../vlib/vputs.x"
+#include "../vlib/vsetpal.x"
+#include "../vlib/vsinit.x"
+#include "../vlib/vspray4.x"
+#include "../vlib/vtext.x"
+#include "../vlib/vwputm.x"