Index: ram/sedisp.s
===================================================================
--- ram/sedisp.s	(revision 84920eb0d6f9de17a749d2ddf022e76cb6927a00)
+++ ram/sedisp.s	(revision 84c01255fcf53ea395d67ce5468972fe0ba4aca6)
@@ -4,7 +4,7 @@
 
 |	se_disp(ep, sd, gdstb, cf)
-|	struct s_entry |ep;
+|	struct s_entry *ep;
 |	short sd;
-|	struct gdsel |gdstb[];
+|	struct gdsel *gdstb[];
 |	short cf;
 
@@ -111,5 +111,5 @@
 | gdsel structure definitions
 | ---------------------------
-G_NEXT		=	0		| long - 'next' field	(struct gdsel |)
+G_NEXT		=	0		| long - 'next' field	(struct gdsel *)
 G_NOTE		=	4		| word - 'note' field	(short)
 G_CODE		=	6		| word - 'code' field	(short)
@@ -206,5 +206,5 @@
 		clr.b	numstr+3		| terminate string
 		move.w	d1,d0			| col = group
-		asl.w	#2,d0			| ... | 5
+		asl.w	#2,d0			| ... * 5
 		add.w	d1,d0			| ...
 		add.w	#6,d0			| ... + 6
@@ -251,5 +251,5 @@
 		clr.w	d2			| d2 = ep->group
 		move.b	E_GROUP(a0),d2		| ...
-		lsl.w	#2,d2			| ... | 4
+		lsl.w	#2,d2			| ... * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[ep->group]
@@ -304,5 +304,5 @@
 		clr.w	d2			| get group in d2
 		move.b	E_GROUP(a0),d2		| ...
-		lsl.w	#2,d2			| ... | 4
+		lsl.w	#2,d2			| ... * 4
 		move.l	0(a2,d2.W),d0		| check gdstb[ep->group]
 		beq	dsexit
@@ -353,5 +353,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#48,d2			| d2 = event PRIORITY | 4
+		move.w	#48,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -376,5 +376,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#48,d2			| d2 = event PRIORITY | 4
+		move.w	#48,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -394,5 +394,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#48,d2			| d2 = event PRIORITY | 4
+		move.w	#48,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -428,5 +428,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#52,d2			| d2 = event PRIORITY | 4
+		move.w	#52,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -491,5 +491,5 @@
 		move.w	d1,-(a7)		| save group number on stack
 		add.w	d0,d0			| calculate column
-		add.w	d0,d1			| ... = 5 | group
+		add.w	d0,d1			| ... = 5 * group
 		addi.w	#5,d1			| ... + 5
 		move.w	#AT11,-(a7)		| vputs(obj8, 3, col, numstr, atr11)
@@ -519,5 +519,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#52,d2			| d2 = event PRIORITY | 4
+		move.w	#52,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -548,5 +548,5 @@
 		move.w	d1,-(a7)		| save group number
 		move.w	(a7),d0			| col = group number
-		add.w	d0,d0			| ... | 5
+		add.w	d0,d0			| ... * 5
 		add.w	d0,d0			| ...
 		move.w	(a7)+,d2		| ...  (d2 = group number)
@@ -583,5 +583,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#52,d2			| d2 = event PRIORITY | 4
+		move.w	#52,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -612,5 +612,5 @@
 		move.w	d1,-(a7)		| save group number
 		move.w	(a7),d0			| col = group number
-		add.w	d0,d0			| ... | 5
+		add.w	d0,d0			| ... * 5
 		add.w	d0,d0			| ...
 		move.w	(a7)+,d2		| ...  (d2 = group number)
@@ -647,5 +647,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#52,d2			| d2 = event PRIORITY | 4
+		move.w	#52,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -683,5 +683,5 @@
 		move.w	d1,-(a7)		| save variable number
 		move.w	d1,d0			| calculate display offset
-		lsl.w	#3,d0			| ... (var | 9) + 6
+		lsl.w	#3,d0			| ... (var * 9) + 6
 		add.w	d0,d1			| ... in d1
 		addq.w	#6,d1			| ...
@@ -707,5 +707,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#52,d2			| d2 = event PRIORITY | 4
+		move.w	#52,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -743,5 +743,5 @@
 		move.w	d1,-(a7)		| save variable number
 		move.w	d1,d0			| calculate display offset
-		lsl.w	#3,d0			| ... (var | 9) + 8
+		lsl.w	#3,d0			| ... (var * 9) + 8
 		add.w	d0,d1			| ... in d1
 		addi.w	#8,d1			| ...
@@ -791,5 +791,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#52,d2			| d2 = event PRIORITY | 4
+		move.w	#52,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -834,5 +834,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#56,d2			| d2 = event PRIORITY | 4
+		move.w	#56,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -880,5 +880,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#56,d2			| d2 = event PRIORITY | 4
+		move.w	#56,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -918,5 +918,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#56,d2			| d2 = event PRIORITY | 4
+		move.w	#56,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -955,5 +955,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#56,d2			| d2 = event PRIORITY | 4
+		move.w	#56,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -978,5 +978,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#60,d2			| d2 = event PRIORITY | 4
+		move.w	#60,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -1008,5 +1008,5 @@
 		move.w	d1,-(a7)		| save group number
 		move.w	(a7),d0			| col = group number
-		add.w	d0,d0			| ... | 5
+		add.w	d0,d0			| ... * 5
 		add.w	d0,d0			| ...
 		move.w	(a7)+,d2		| ...  (d2 = group number)
@@ -1050,5 +1050,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#60,d2			| d2 = event PRIORITY | 4
+		move.w	#60,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -1100,5 +1100,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#60,d2			| d2 = event PRIORITY | 4
+		move.w	#60,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]
@@ -1150,5 +1150,5 @@
 		movea.l	d0,a1			| a1 = gdsp
 		move.l	G_NEXT(a1),_gdfsep	| gdfsep = gdsp->next
-		move.w	#60,d2			| d2 = event PRIORITY | 4
+		move.w	#60,d2			| d2 = event PRIORITY * 4
 		movea.l	P_SL(a6),a2		| a2 points at gdstb
 		move.l	0(a2,d2.W),G_NEXT(a1)	| gdsp->next = gdstb[pri]